"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_config_1 = __importDefault(require("../_common/webpack.config"));
const webpack_merge_1 = require("webpack-merge");
const amberConfig = {
    entry: {
        app: [
            require.resolve('../../../assets/entry-common'),
            require.resolve('../../../assets/entry-amber'),
            './index.js',
        ],
    },
    output: {
        filename: 'build/dev/app.js',
    },
};
exports.default = async (options) => {
    const baseConfig = await webpack_config_1.default(options);
    return webpack_merge_1.merge(baseConfig, amberConfig);
};
//# sourceMappingURL=webpack.config.js.map