/// <reference types="rx-core" />
/// <reference types="rx-core-binding" />
/// <reference types="rx-lite" />
/// <reference types="rx-lite-aggregates" />
/// <reference types="rx-lite-backpressure" />
/// <reference types="rx-lite-coincidence" />
/// <reference types="rx-lite-experimental" />
/// <reference types="rx-lite-joinpatterns" />
/// <reference types="rx-lite-time" />
import { Observable } from 'rx';
import { Builder } from './builder';
import { DevBuilderOptions } from '../interfaces';
export declare class BuildWatcher extends Builder {
    private presentationPath;
    private contentType;
    private watcher;
    private watcher$;
    constructor(presentationPath: string, contentType: string);
    start(options: DevBuilderOptions): Observable<any>;
    stop(): Promise<any>;
    private createWatcher;
}
