"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanDestinationFolder = void 0;
const clean_webpack_plugin_1 = require("clean-webpack-plugin");
function cleanDestinationFolder(cleanPatterns) {
    return new clean_webpack_plugin_1.CleanWebpackPlugin({
        cleanOnceBeforeBuildPatterns: cleanPatterns,
        dangerouslyAllowCleanPatternsOutsideProject: true,
        dry: false,
    });
}
exports.cleanDestinationFolder = cleanDestinationFolder;
//# sourceMappingURL=cleanDestinationFolder.js.map