"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const webpack_config_1 = __importDefault(require("../amber/webpack.config"));
const webpack_merge_1 = require("webpack-merge");
const bubblesConfig = {
    entry: {
        app: [require.resolve('../../../assets/entry-bubbles'), './app.js'],
        index: './index.js',
    },
    output: {
        filename: 'build/dev/[name].js',
        library: ['Content'],
        libraryTarget: 'umd',
    },
    externals: {
        './app': 'Content',
    },
};
exports.default = async (options) => {
    const baseConfig = await webpack_config_1.default(options);
    return webpack_merge_1.merge(baseConfig, bubblesConfig);
};
//# sourceMappingURL=webpack.config.js.map